#include <X11/Xlib.h>
#include <X11/cursorfont.h>
#include <Xm/Xm.h>

#include "xmps.h"


void setCursor (widget, newCursor)
     Widget widget;
     Cursor newCursor;
{
     XDefineCursor (XtDisplay (widget), XtWindow (widget), newCursor);
     XFlush (XtDisplay(widget));
}


void setBusyIndicator ()
{
     setCursor (topLevel, busyCursor);
}


void unsetBusyIndicator ()
{
     setCursor (topLevel, (Cursor) NULL);
}


