MenuDescStruct processMenu[] = {
     { "Process", "process", 'P' },
     { "Refresh", "refresh", 'R', "<Ctrl>R", "Ctrl<Key>r:",
          reDisplayProcesses},
     { "-" },
     { "Select All", "selectAll", '-', "-", "-",
          selectAllProcesses},
     { "Unselect All", "unselectAll", '-', "-", "-",
          unselectAllProcesses},
     { "Execute Action On", "executeAction", 'E', "<Ctrl>E", "Ctrl<Key>e:",
          applyAction},
     { "-" },
     { "Search For...", "searchFor", 'S', "<Ctrl>S", "Ctrl<Key>s:",
          searchProcessPrompt},
     { "-Previous", "previous", 'P', "<Ctrl>P", "Ctrl<Key>p:",
          searchProcess, (caddr_t) ACTION_SEARCH_PREVIOUS},
     { "-Next", "next", 'N', "<Ctrl>N", "Ctrl<Key>n:",
          searchProcess, (caddr_t) ACTION_SEARCH_NEXT},
     { "-" },
     { "Exit", "exit", 'x', "<Ctrl>X", "Ctrl<Key>x:",
          exitXmPs},
};

MenuDescStruct viewMenu[] = {
     { "View", "view", 'V' },
     { "-New", "new", '-', "-", "-",
          createNewView, (caddr_t) ACTION_NEW_VIEW },
     { "Print", "print", '-', "-", "-",
          printProcesses },
     { "Snapshot...", "snapshot", '-', "-", "-",
          takeSnapshot },
     { "-" },
     { "^Full Listing", "fullListing", '-', "-", "-",
          changeOption, (caddr_t) MENU_FULL_LISTING, &resources.fullListing },
     { "^Long Listing", "longListing", '-', "-", "-",
          changeOption, (caddr_t) MENU_LONG_LISTING, &resources.longListing },
     { "-^Cluster Wide Listing", "clusterWide", '-', "-", "-",
          changeOption, (caddr_t) MENU_CLUSTER_WIDE, &resources.clusterWide },
     { "-" },
     { "^All Processes", "allProcesses", '-', "-", "-",
          changeOption, (caddr_t) MENU_ALL_PROCESSES, &resources.allProcesses },
     { "^No Group Leader Process", "noGroupLeader", '-', "-", "-",
          changeOption, (caddr_t) MENU_NO_GROUP_LEADER, &resources.noGroupLeader },
     { "^No Terminal Independent Process", "noNonTerminal", '-', "-", "-",
          changeOption, (caddr_t) MENU_NO_NON_TERMINAL, &resources.noNonTerminal },
};

MenuDescStruct optionMenu[] = {
     { "Option", "option", 'O' },
     { "^Beautify Listing", "beautify", '-', "-", "-",
          changeOption, (caddr_t) MENU_BEAUTIFY, &resources.beautify },
     { "-" },
     { "^Refresh Automatically", "automaticRefresh", '-', "-", "-",
          changeOption, (caddr_t) MENU_AUTOMATIC_REFRESH, &resources.automaticRefresh },
     { "^Refresh Periodically", "periodicRefresh", '-', "-", "-",
          changeOption, (caddr_t) MENU_PERIODIC_REFRESH, &resources.periodicRefresh },
     { "-" },
     { "^Search Ignore Case", "ignoreCase", '-', "-", "-",
          changeOption, (caddr_t) MENU_IGNORE_CASE, &resources.ignoreCase },
     { "^Search Multiple Occurrences", "multipleOccurrences", '-', "-", "-",
          changeOption, (caddr_t) MENU_MULTIPLE_OCCURRENCES, &resources.multipleOccurrences},
     { "-" },
     { "^Print Selected", "printSelected", '-', "-", "-",
          changeOption, (caddr_t) MENU_PRINT_SELECTED, &resources.printSelected },
     { "-" },
     { "^Memorize New Parameters", "automaticMemory", '-', "-", "-",
          changeOption, (caddr_t) MENU_AUTOMATIC_MEMORY, &resources.automaticMemory },
};

MenuDescStruct helpMenu[] = {
     { "Help", "help", 'H' },
     { "On Version", "version", 'V', "<Ctrl>V", "Ctrl<Key>v:",
          versionXmPs},
};


