#include <Xm/Xm.h>
#include <Xm/XmStrDefs.h>
#include <Xm/List.h>

#include <stdio.h>
#include <stdlib.h>

#include "xmps.h"


int printProcesses (widget, clientData, callData)
     Widget widget;
     caddr_t clientData;
     caddr_t callData;
{
     XmStringTable items;
     int itemCount;
     String line;
     int current;

     String tempname;
     FILE *tempfile;
     char command[512];

     Arg arglist[4];
     Cardinal i;

     /*
      * Open a temporary file.
      */
     tempname = tmpnam (NULL);
     if ((tempfile = fopen (tempname, "w")) == NULL)
	  error ("Cannot open temporary file :\n%s", 
		 tempname, (char *) 0);

     /*
      * Print the process information into the temp file.
      */
     i = 0;
     if (resources.printSelected) {
	  XtSetArg (arglist[i], XmNselectedItems, &items); i++;
	  XtSetArg (arglist[i], XmNselectedItemCount, &itemCount); i++;
     } else {
	  XtSetArg (arglist[i], XmNitems, &items); i++;
	  XtSetArg (arglist[i], XmNitemCount, &itemCount); i++;
     }
     XtGetValues (listArea, arglist, i);

     for (current = 0; current <= itemCount-1; current++) {
	  XmStringGetLtoR (items[current],
			   XmSTRING_DEFAULT_CHARSET,
			   &line);
	  fprintf (tempfile, "%s\n", line);
	  XtFree (line);
     }

     /*
      * Print the temp file.
      */
     if (fflush (tempfile) != NULL)
	  error ("Cannot flush temporary file :\n%s", 
		 tempname, (char *) 0);

     if (fclose (tempfile) != NULL)
	  error ("Cannot close temporary file :\n%s",
		 tempname, (char *) 0);

     sprintf (command, resources.printCommand, tempname);
     system (command);

     (void) unlink (tempname);
}


